## nipper-ng 0.11.10

=== Makefile ===
SRCS = nipper.c
BINPATH = /usr/bin/
CONFPATH = /etc/
MANPATH = /usr/share/man/

all:
	gcc -o nipper $(SRCS) $(LDFLAGS) $(CFLAGS)

install:
	cp nipper $(BINPATH)
	cp nipper.conf $(CONFPATH)
	cp man/nipper.1 $(MANPATH)man1
	cp man/nipper.conf.5 $(MANPATH)man5

uninstall:
	rm -f $(BINPATH)nipper
	rm -f $(CONFPATH)nipper.conf
	rm -f $(MANPATH)man1/nipper.1
	rm -f $(MANPATH)man5/nipper.conf.5

clean:
	rm -f nipper

=== debian/changelog ===
nipper-ng (0.11.10-1kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Update watch file format to version 4.
  * Drop fields with obsolete URLs.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Update d/watch to point to no available upstream
  * Don't install config file as executable
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 11 Jan 2023 10:20:25 -0600

nipper-ng (0.11.10-1kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Dec 2020 15:51:43 +0100

nipper-ng (0.11.10-1kali0) kali; urgency=low

  * Initial release (Closes: #0000238)

 -- Devon Kearns <dookie@kali.org>  Thu, 13 Jun 2013 14:42:19 -0600

=== debian/control ===
Source: nipper-ng
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Git: https://gitlab.com/kalilinux/packages/nipper-ng.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/nipper-ng

Package: nipper-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Device security configuration review tool
 Nipper-ng is the next generation of nippper, and will always remain free and
 open source. This software will be used to make observations about the security
 configurations of many different device types such as routers, firewalls,
 and switches of a network infrastructure.
 .
 This is a fork from nipper 0.11.10 release of the GNUv3 GPL code.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_installdirs
	install nipper $(CURDIR)/debian/nipper-ng/usr/bin/
	install -m0644 nipper.conf $(CURDIR)/debian/nipper-ng/etc/
